Update your MetaTrader 4 app by 1st March, 2019

Announcement from 26/02/2019

As announced by MetaQuotes earlier this month, MetaTrader 4 builds below 1118 will no longer be supported after this Friday, 1st March.

We urge you to download the latest version of the desktop app to stay connected next week.

If you need assistance updating your MetaTrader 4 app, please contact our Support Team, and we will be happy to assist you, 24/5.

← Back to Company News

 

Interested in Forex trading?
Make FXChoice your choice today.
Thousands of traders already have!